#include "GGame.h"

#include "GEnum.h"

#include <hpllib/system/HPLError.h>
#include <windows.h>

using namespace std;
using namespace GEnum;


GGame::GGame(){
	// マッピング登録
	//this->m_PlayerSettings.

	this->m_bIsAutoPlay = false;

	try {
		int integerDefaultSettings[] = {
			0,0,0
		};
		m_ShotSettings.setupLabelMap< int >( ShotSettingType::IntegerData::MAX_NUM,
			integerDefaultSettings,
			this->m_ShotSettings.m_mapLabelToIndexIntegerData,
			(const char**)ShotSettingType::INTEGER_DATA_LABELS );
	} catch (... ) {
		HPLError::msg( "", MB_OK, "Failed to setup shot integer data labels" );
	}
	try {
		float floatDefaultSettings[] = {
			0,0,0
		};
		m_ShotSettings.setupLabelMap< float >( ShotSettingType::FloatData::MAX_NUM,
			floatDefaultSettings,
			this->m_ShotSettings.m_mapLabelToIndexFloatData,
			(const char**)ShotSettingType::FLOAT_DATA_LABELS );
	} catch( ... ) {
		HPLError::msg( "", MB_OK, "Failed to setup shot float data labels" );
	}
	
	// 読み込み
	this->m_ShotSettings.load( "data/image/Shot/ShotPower2.txt" );
}

GGame::~GGame(){
}
